import { GeometryData } from "./GeometryData";
import { RectData } from "./RectData";
import { List$1 } from "./List$1";
import { PointData } from "./PointData";
import { GetPointsSettings } from "./GetPointsSettings";
import { Type } from "./type";
export declare class RectangleGeometryData extends GeometryData {
    protected get_type(): string;
    readonly type: string;
    private _x;
    x: number;
    private _y;
    y: number;
    private _width;
    width: number;
    private _height;
    height: number;
    protected a(): string;
    scaleByViewport(a: RectData): void;
    getPointsOverride(a: List$1<List$1<PointData>>, b: GetPointsSettings): void;
    static $t: Type;
}
